Viewing docs for vantage 0.3.7
published on Thursday, May 14, 2026 by vantage-sh
published on Thursday, May 14, 2026 by vantage-sh
Viewing docs for vantage 0.3.7
published on Thursday, May 14, 2026 by vantage-sh
published on Thursday, May 14, 2026 by vantage-sh
Returns all integrations visible to the API token, optionally filtered by provider type. Fetches up to 1,000 results from the Get All Integrations endpoint.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as vantage from "@pulumi/vantage";
// All integrations
const all = vantage.getIntegrations({});
// Only custom_provider integrations
const custom = vantage.getIntegrations({
providerFilter: "custom_provider",
});
export const customProviderTokens = custom.then(custom => .map(i => (i.token)));
import pulumi
import pulumi_vantage as vantage
# All integrations
all = vantage.get_integrations()
# Only custom_provider integrations
custom = vantage.get_integrations(provider_filter="custom_provider")
pulumi.export("customProviderTokens", [i.token for i in custom.integrations])
Example coming soon!
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vantage = Pulumi.Vantage;
return await Deployment.RunAsync(() =>
{
// All integrations
var all = Vantage.GetIntegrations.Invoke();
// Only custom_provider integrations
var custom = Vantage.GetIntegrations.Invoke(new()
{
ProviderFilter = "custom_provider",
});
return new Dictionary<string, object?>
{
["customProviderTokens"] = .Select(i =>
{
return i.Token;
}).ToList(),
};
});
Example coming soon!
Example coming soon!
Example coming soon!
Using getIntegrations
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getIntegrations(args: GetIntegrationsArgs, opts?: InvokeOptions): Promise<GetIntegrationsResult>
function getIntegrationsOutput(args: GetIntegrationsOutputArgs, opts?: InvokeOptions): Output<GetIntegrationsResult>def get_integrations(provider_filter: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetIntegrationsResult
def get_integrations_output(provider_filter: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetIntegrationsResult]func GetIntegrations(ctx *Context, args *GetIntegrationsArgs, opts ...InvokeOption) (*GetIntegrationsResult, error)
func GetIntegrationsOutput(ctx *Context, args *GetIntegrationsOutputArgs, opts ...InvokeOption) GetIntegrationsResultOutput> Note: This function is named GetIntegrations in the Go SDK.
public static class GetIntegrations
{
public static Task<GetIntegrationsResult> InvokeAsync(GetIntegrationsArgs args, InvokeOptions? opts = null)
public static Output<GetIntegrationsResult> Invoke(GetIntegrationsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetIntegrationsResult> getIntegrations(GetIntegrationsArgs args, InvokeOptions options)
public static Output<GetIntegrationsResult> getIntegrations(GetIntegrationsArgs args, InvokeOptions options)
fn::invoke:
function: vantage:index/getIntegrations:getIntegrations
arguments:
# arguments dictionarydata "vantage_getintegrations" "name" {
# arguments
}The following arguments are supported:
- Provider
Filter string - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- Provider
Filter string - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- provider_
filter string - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- provider
Filter String - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- provider
Filter string - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- provider_
filter str - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- provider
Filter String - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
getIntegrations Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Integrations
List<Get
Integrations Integration> - The list of integrations returned by the API.
- Provider
Filter string - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- Id string
- The provider-assigned unique ID for this managed resource.
- Integrations
[]Get
Integrations Integration - The list of integrations returned by the API.
- Provider
Filter string - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- id string
- The provider-assigned unique ID for this managed resource.
- integrations list(object)
- The list of integrations returned by the API.
- provider_
filter string - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- id String
- The provider-assigned unique ID for this managed resource.
- integrations
List<Get
Integrations Integration> - The list of integrations returned by the API.
- provider
Filter String - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- id string
- The provider-assigned unique ID for this managed resource.
- integrations
Get
Integrations Integration[] - The list of integrations returned by the API.
- provider
Filter string - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- id str
- The provider-assigned unique ID for this managed resource.
- integrations
Sequence[Get
Integrations Integration] - The list of integrations returned by the API.
- provider_
filter str - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
- id String
- The provider-assigned unique ID for this managed resource.
- integrations List<Property Map>
- The list of integrations returned by the API.
- provider
Filter String - Filter results by provider type (e.g.
custom_provider). Corresponds to theproviderquery parameter on the Get All Integrations API endpoint.
Supporting Types
GetIntegrationsIntegration
- Created
At string - The date and time (UTC, ISO 8601) when the integration was created.
- Last
Updated string - The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
- Managed
Account List<string>Tokens - The tokens of any Managed Accounts associated with this integration.
- Name string
- The display name of the integration.
- Status string
- The status of the integration (e.g.
connected,pending,importing,imported,error,disconnected). - Token string
- The unique token of the integration.
- Workspace
Tokens List<string> - The tokens of the Workspaces associated with this integration.
- Created
At string - The date and time (UTC, ISO 8601) when the integration was created.
- Last
Updated string - The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
- Managed
Account []stringTokens - The tokens of any Managed Accounts associated with this integration.
- Name string
- The display name of the integration.
- Status string
- The status of the integration (e.g.
connected,pending,importing,imported,error,disconnected). - Token string
- The unique token of the integration.
- Workspace
Tokens []string - The tokens of the Workspaces associated with this integration.
- created_
at string - The date and time (UTC, ISO 8601) when the integration was created.
- last_
updated string - The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
- managed_
account_ list(string)tokens - The tokens of any Managed Accounts associated with this integration.
- name string
- The display name of the integration.
- status string
- The status of the integration (e.g.
connected,pending,importing,imported,error,disconnected). - token string
- The unique token of the integration.
- workspace_
tokens list(string) - The tokens of the Workspaces associated with this integration.
- created
At String - The date and time (UTC, ISO 8601) when the integration was created.
- last
Updated String - The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
- managed
Account List<String>Tokens - The tokens of any Managed Accounts associated with this integration.
- name String
- The display name of the integration.
- status String
- The status of the integration (e.g.
connected,pending,importing,imported,error,disconnected). - token String
- The unique token of the integration.
- workspace
Tokens List<String> - The tokens of the Workspaces associated with this integration.
- created
At string - The date and time (UTC, ISO 8601) when the integration was created.
- last
Updated string - The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
- managed
Account string[]Tokens - The tokens of any Managed Accounts associated with this integration.
- name string
- The display name of the integration.
- status string
- The status of the integration (e.g.
connected,pending,importing,imported,error,disconnected). - token string
- The unique token of the integration.
- workspace
Tokens string[] - The tokens of the Workspaces associated with this integration.
- created_
at str - The date and time (UTC, ISO 8601) when the integration was created.
- last_
updated str - The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
- managed_
account_ Sequence[str]tokens - The tokens of any Managed Accounts associated with this integration.
- name str
- The display name of the integration.
- status str
- The status of the integration (e.g.
connected,pending,importing,imported,error,disconnected). - token str
- The unique token of the integration.
- workspace_
tokens Sequence[str] - The tokens of the Workspaces associated with this integration.
- created
At String - The date and time (UTC, ISO 8601) when the integration was created.
- last
Updated String - The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
- managed
Account List<String>Tokens - The tokens of any Managed Accounts associated with this integration.
- name String
- The display name of the integration.
- status String
- The status of the integration (e.g.
connected,pending,importing,imported,error,disconnected). - token String
- The unique token of the integration.
- workspace
Tokens List<String> - The tokens of the Workspaces associated with this integration.
Package Details
- Repository
- vantage vantage-sh/terraform-provider-vantage
- License
- Notes
- This Pulumi package is based on the
vantageTerraform Provider.
Viewing docs for vantage 0.3.7
published on Thursday, May 14, 2026 by vantage-sh
published on Thursday, May 14, 2026 by vantage-sh
